# -*- RPM-SPEC -*-

%ifarch %{ix86}
%define eclipse_arch    x86
%define java_arch	i386
%endif
%ifarch alpha
%define eclipse_arch	alpha
%define java_arch	alpha
%endif
%ifarch ia64
%define eclipse_arch	ia64
%define java_arch	ia64
%endif
%ifarch ppc64
%define eclipse_arch	ppc64
%define java_arch	ppc
%endif
%ifarch sparc64
%define eclipse_arch	sparc64
%define java_arch	sparc
%endif
%ifarch x86_64
%define eclipse_arch	amd64
%define java_arch	amd64
%endif

%define eclipse_base    /usr/share/eclipse

Summary: Changelog plug-in for eclipse
Name: eclipse-changelog
Version: 1.1
Release: 4
Copyright: Common Public License Version 0.5 <http://www.eclipse.org/legal/cpl-v05.html>
Group: Development/Tools
URL: http://www.eclipse.org
Requires: eclipse-ui

# Note that following the Eclipse Releng process we do not distribute a 
# real .tar.gz file.  Instead, you must build it by hand.  The way to do 
# this is to check out org.eclipse.cdt.releng.  Edit maps/changelog.map 
# to refer to the# tag appropriate to the release.  Then run the "fetch" 
# target to fetch everything.  Package this up, such that the tar
# file unpacks a new "org.eclipse.changelog.releng" directory with all the
# contents.  See the java command to see how to invoke
# things in the releng build.xml.

Source0: eclipse-changelog.tar.gz

BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: gtk2-devel
BuildRequires: glib2-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: desktop-file-utils
BuildRequires: eclipse-platform
BuildRequires: eclipse-jdt
BuildRequires: eclipse-pde
BuildRequires: libswt3-gtk2
BuildRequires: eclipse-gtk2

BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch:		i386 ia64 ppc

%description
The eclipse-changelog package contains Eclipse features and plugins that are
useful for changelog maintenance

%prep
%setup -q -c 


%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH

# See comments in the script to understand this.
/bin/sh -x %{eclipse_base}/buildscripts/copy-platform SDK %{eclipse_base}
SDK=$(cd SDK && pwd)

mkdir home
homedir=$(cd home > /dev/null && pwd)

cd com.redhat.eclipse.changelog.releng

                                                                                                                             
java -cp $SDK/startup.jar \
    -Duser.home=$homedir \
     org.eclipse.core.launcher.Main \
    -application org.eclipse.ant.core.antRunner \
    -DjavacFailOnError=true \
    -DdontUnzip=true \
    -DbaseLocation=$SDK \
    -Dpde.build.scripts=$SDK/plugins/org.eclipse.pde.build_3.0.0/scripts \
    -DdontFetchAnything=true

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{eclipse_base}

for file in $(pwd)/com.redhat.eclipse.changelog.releng/results/I.*/*.zip; do
  case $file in
    *eclipse-Changelog*)
      # The ".." is needed since the zip files contain "eclipse/foo".
      (cd $RPM_BUILD_ROOT/%{eclipse_base}/.. && unzip -qq -o $file)
      ;;
  esac
done


%clean 
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{eclipse_base}/features/com.redhat.eclipse.changelog*
%{eclipse_base}/plugins/com.redhat.eclipse.changelog*


%changelog
* Fri Jul 23 2004 Jeremy Handcock <handcock@redhat.com> 1.1-4
- Require eclipse-ui, not eclipse-platform

* Fri Jul 23 2004 Phil Muldoon <pmuldoon@redhat.com> 1.1-3
- Set user.home (beehive fix)

* Thu Jul 22 2004 Jeremy Handcock <handcock@redhat.com> 1.1-2
- Don't BuildRequires ant
- Correct BuildRequires eclipse -> eclipse-platform
- Don't build on ppc64

* Mon Jul 19 2004 Phil Muldoon <pmuldoon@redhat.com>
- Make platform symlink tree before building
- Removed .so copy (not needed)

* Tue Jul 13 2004 Phil Muldoon <pmuldoon@redhat.com>
- Reworked for 3.0, and 3.0 new build system

* Tue Feb 10 2004 Phil Muldoon <pmuldoon@redhat.com> 1.0.0-1
- Initial version
